/************************* Start of ERRHAND.C ************************
 *
 * This is a general purpose error handler used with every program in
 * the book. (Modified from book version for more portability -- jloup.)
 */

#include <stdio.h>
#include <stdlib.h>
#include "errhand.h"

#ifdef __STDC__
#  include <stdarg.h>

void fatal_error( char *fmt, ... )
{
    va_list argptr;

    va_start( argptr, fmt );
    printf( "Fatal error: " );
    vprintf( fmt, argptr );
    va_end( argptr );
    exit( -1 );
}
#else
void fatal_error(fmt, msg)
    char *fmt;
    char *msg;
{
    printf( "Fatal error: " );
    printf(fmt, msg);
    exit( -1 );
}
#endif

/************************** End of ERRHAND.C *************************/
